MandrivaUsers.org : LMule wont start - MandrivaUsers.org

Jump to content

Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

LMule wont start

#1 Guest_iMonkey_*

  • Group: Guests

Posted 18 October 2003 - 03:15 PM

Hello, I have recently downloaded lmule to run on my linux box rather than having it run on windows.

I used the tar.gz package as there was not one for Mandrake. I installed wxGTK first which seemed to work without any problems and then I continued with lmule ./configure && make etc...

This seemed to work well also, although it did seem to take a while. I then proceeded to run lmule.desktop which I assumed is the correct way to launch the app, but when I do this a taskbar button appears as you'd expect but the hour glass ticks away for a while (on the taskbar button) and then it just disapears and nothing happens?

Could someone please point out what may be wrong here please! :wink:
0

#2 User is offline   scoopy 

  • Mandriva Guru
  • Group: Members
  • Posts: 2,445
  • Joined: 15-October 02

Posted 19 October 2003 - 04:51 PM

sometimes starting a problem app using the terminal will point out the problem it is having. Try using command imule and see what you get.
0

#3 Guest_iMonkey_*

  • Group: Guests

Posted 20 October 2003 - 05:56 PM

I had posted the smae message on a source forge forum for LMule and was told to use xMule instead. I compiled this and it seemed to work ok but when I tried to run it nothing happened, apart from the Hard Drive spinning up.

I then tried what you said above about running it from the terminal and with xMule I get the following error message:
/usr/bin/xmule: error while loading shared libraries: libwx_gtk-2.4.so.0: cannot open shared object file: No such file or directory


Does this mean that when I ran the compile program it did not pick up libwx_gtk-2.4.so.0 properly? If so how would I go about getting it to pick it up?

I remember the rpm would not install becuase it needed the above so I went and found a different rpm which had this, so it should be installed?

Thank you, any further help would be appreciated! :oops:/>
0

#4 User is offline   Steve Scrimpshire 

  • This is a dark ride
  • Group: OTW
  • Posts: 3,590
  • Joined: 13-December 02

Posted 20 October 2003 - 06:21 PM

Check to see if you installed the right dependency:
[root@omarserenity omar]# urpmf libwx_gtk-2.4.so.0

libwxPythonGTK2.4:/usr/lib/wxPython/lib/libwx_gtk-2.4.so.0

libwxPythonGTK2.4:/usr/lib/wxPython/lib/libwx_gtk-2.4.so.0.0.0

[root@omarserenity omar]# rpm -qa | grep libwxPythonGTK2.4

libwxPythonGTK2.4-2.4.1.2-3mdk

Posted Image
0

#5 Guest_iMonkey_*

  • Group: Guests

Posted 20 October 2003 - 06:59 PM

I just got around to checking on this post again after looking at another site.

I solved the problem by finding out where libwx_gtk-2.4.so.0

Now when I type in xmule it seems to work fine!

Thanks for all your input though, I will make a note of your comments to use in future problems while troubleshooting! :P/>

I dont feel like such a linux n00b now!
0

Share this topic:


Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

1 User(s) are reading this topic
0 members, 1 guests, 0 anonymous users